<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Vehicles/Scripts/4_world/dayzexpansion_vehicles/entities/vehicles/inheritedboats/vehicle_expansionutilityboat.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/d23/a03038_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">vehicle_expansionutilityboat.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d8/d23/a03038.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/*</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * Vehicle_ExpansionUtilityBoat.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment"> */</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d5/d52/a07465.html">   13</a></span><span class="keyword">class </span>Vehicle_ExpansionUtilityBoat <span class="keyword">extends</span> <a class="code hl_class" href="../../d5/d52/a07465.html">ExpansionVehicleBoatBase</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d5/d52/a07465.html#a4983e6ea744f10cdac8a95a1a0b0f540">   15</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d52/a07465.html#a4983e6ea744f10cdac8a95a1a0b0f540">Vehicle_ExpansionUtilityBoat</a>()</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    {<span class="comment"></span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span><span class="comment">        //! Vanilla</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="comment"></span>        m_dmgContactCoef = 0.018;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    }</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d5/d52/a07465.html#a6c7003e4f23f9e09c43c701242c4207c">   21</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d5/d52/a07465.html#a6c7003e4f23f9e09c43c701242c4207c">GetAnimInstance</a>()</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    {</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;GetAnimInstance&quot;</span>);</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span> </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../dd/d22/a07229.html">ExpansionVehicleAnimInstances</a>.<a class="code hl_variable" href="../../dd/d22/a07229.html#a5a05cb3af52484b4bd2955b62e3749b9">EXPANSION_UTILITY_BOAT</a>;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span> </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../d5/d52/a07465.html#a3c858295291b0e1fba6c1b24d094959c">   30</a></span>    <span class="keyword">override</span> <a class="code hl_class" href="../../d8/d58/a07561.html">CarLightBase</a> <a class="code hl_function" href="../../d5/d52/a07465.html#a3c858295291b0e1fba6c1b24d094959c">CreateFrontLight</a>()</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;CreateFrontLight&quot;</span>);</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span> </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../d8/d58/a07561.html">CarLightBase</a>.Cast(ScriptedLightBase.CreateLight(ExpansionBoatFrontLight));</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span> </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../d5/d52/a07465.html#a68d2b61157afe5090b142d6cd167fcf0">   39</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d5/d52/a07465.html#a68d2b61157afe5090b142d6cd167fcf0">GetSeatAnimationType</a>(<span class="keywordtype">int</span> posIdx)</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    {</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d4/deb/a00710.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;GetSeatAnimationType&quot;</span>).Add(posIdx);</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span> </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <span class="keywordflow">switch</span> (posIdx)</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        {</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <span class="keywordflow">case</span> 0:</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            <span class="keywordflow">return</span> DayZPlayerConstants.VEHICLESEAT_DRIVER;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <span class="keywordflow">case</span> 1:</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>            <span class="keywordflow">return</span> DayZPlayerConstants.VEHICLESEAT_PASSENGER_R;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keywordflow">case</span> 2:</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>            <span class="keywordflow">return</span> DayZPlayerConstants.VEHICLESEAT_PASSENGER_L;</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <span class="keywordflow">case</span> 3:</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            <span class="keywordflow">return</span> DayZPlayerConstants.VEHICLESEAT_PASSENGER_L;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <span class="keywordflow">case</span> 4:</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>            <span class="keywordflow">return</span> DayZPlayerConstants.VEHICLESEAT_PASSENGER_R;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span> </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <span class="keywordflow">return</span> 0;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    }</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span> </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno"><a class="line" href="../../d5/d52/a07465.html#aa0a62d51d8d4278f1a84aaaf10c62ce5">   62</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d5/d52/a07465.html#aa0a62d51d8d4278f1a84aaaf10c62ce5">CrewCanGetThrough</a>(<span class="keywordtype">int</span> posIdx)</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    {</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d4/deb/a00710.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;CrewCanGetThrough&quot;</span>).Add(posIdx);</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span> </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span> </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="../../d5/d52/a07465.html#a64a19e2038625e0a48d56fe89bae04f1">   71</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d5/d52/a07465.html#a64a19e2038625e0a48d56fe89bae04f1">CanReachDoorsFromSeat</a>(<span class="keywordtype">string</span> pDoorsSelection, <span class="keywordtype">int</span> pCurrentSeat)</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    {</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d4/deb/a00710.html#a0d014f7d8fe470a42032abc78925b9d5">CF_Trace_2</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;CanReachDoorsFromSeat&quot;</span>).Add(pDoorsSelection).Add(pCurrentSeat);</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span> </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    }</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span> </div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno"><a class="line" href="../../d5/d52/a07465.html#aa515f4fcad56ff7e51c05ea6d35f3e67">   80</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d5/d52/a07465.html#aa515f4fcad56ff7e51c05ea6d35f3e67">IsVitalCarBattery</a>()</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    {</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;IsVitalHelicopterBattery&quot;</span>);</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span> </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    }</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span> </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno"><a class="line" href="../../d5/d52/a07465.html#a8be0682fdb3de34677094ea29da96aba">   89</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d5/d52/a07465.html#a8be0682fdb3de34677094ea29da96aba">IsVitalTruckBattery</a>()</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    {</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;IsVitalTruckBattery&quot;</span>);</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span> </div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    }</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span> </div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno"><a class="line" href="../../d5/d52/a07465.html#a6e68861a0f90e072e20c8327afbc7101">   98</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d5/d52/a07465.html#a6e68861a0f90e072e20c8327afbc7101">IsVitalSparkPlug</a>()</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    {</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;IsVitalSparkPlug&quot;</span>);</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span> </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    }</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span> </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno"><a class="line" href="../../d5/d52/a07465.html#a0fff6197bb66186b724a245c40b64830">  107</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d5/d52/a07465.html#a0fff6197bb66186b724a245c40b64830">IsVitalRadiator</a>()</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    {</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;IsVitalRadiator&quot;</span>);</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span> </div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>    }</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span> </div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno"><a class="line" href="../../d5/d52/a07465.html#a88ea931944317b2dd3e2ba4f5a49521e">  116</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d5/d52/a07465.html#a88ea931944317b2dd3e2ba4f5a49521e">IsVitalGlowPlug</a>()</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    {</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;IsVitalGlowPlug&quot;</span>);</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span> </div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>    }</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span> </div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno"><a class="line" href="../../d5/d52/a07465.html#acfef746ac8d4720e492fe9151f2a8247">  125</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d5/d52/a07465.html#acfef746ac8d4720e492fe9151f2a8247">IsVitalEngineBelt</a>()</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>    {</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;IsVitalEngineBelt&quot;</span>);</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span> </div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>    }</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span> </div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno"><a class="line" href="../../d5/d52/a07465.html#a548ae72fceca380e4599ffd82aede87c">  134</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d52/a07465.html#a548ae72fceca380e4599ffd82aede87c">UpdateLights</a>(<span class="keywordtype">int</span> new_gear = -1)</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>    {</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d4/deb/a00710.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;UpdateLights&quot;</span>).Add(new_gear);</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span> </div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        <span class="keywordflow">if</span> (IsMissionClient())</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        {</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>            <a class="code hl_class" href="../../d1/df9/a03665.html">ItemBase</a> battery;</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span> </div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>            <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d5/d52/a07465.html#a8be0682fdb3de34677094ea29da96aba">IsVitalTruckBattery</a>())</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>                battery = <a class="code hl_class" href="../../d1/df9/a03665.html">ItemBase</a>.Cast(FindAttachmentBySlotName(<span class="stringliteral">&quot;TruckBattery&quot;</span>));</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span> </div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>            <span class="keywordflow">if</span> (battery)</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>            {</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>                <span class="keywordflow">if</span> (m_HeadlightsOn)</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>                {</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>                    DashboardShineOn();</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span> </div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>                    <span class="keywordflow">if</span> (!m_Headlight &amp;&amp; m_HeadlightsState != CarHeadlightBulbsState.NONE)</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>                    {</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>                        m_Headlight = <a class="code hl_function" href="../../d5/d52/a07465.html#a3c858295291b0e1fba6c1b24d094959c">CreateFrontLight</a>();</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>                        TailLightsShineOn();</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>                    }</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span> </div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>                    <span class="keywordflow">if</span> (m_HeadlightsState == CarHeadlightBulbsState.LEFT)</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>                    {</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>                        m_Headlight.AttachOnMemoryPoint(<span class="keyword">this</span>, m_LeftHeadlightPoint, m_LeftHeadlightTargetPoint);</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>                        m_Headlight.SegregateLight();</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>                        LeftFrontLightShineOn();</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>                        RightFrontLightShineOff();</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>                    }</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>                    <span class="keywordflow">else</span> <span class="keywordflow">if</span> (m_HeadlightsState == CarHeadlightBulbsState.RIGHT)</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>                    {</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>                        m_Headlight.AttachOnMemoryPoint(<span class="keyword">this</span>, m_RightHeadlightPoint, m_RightHeadlightTargetPoint);</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>                        m_Headlight.SegregateLight();</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>                        RightFrontLightShineOn();</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>                        LeftFrontLightShineOff();</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>                    }</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>                    <span class="keywordflow">else</span> <span class="keywordflow">if</span> (m_HeadlightsState == CarHeadlightBulbsState.BOTH)</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>                    {</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>                        vector local_pos_left = GetMemoryPointPos(m_LeftHeadlightPoint);</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>                        vector local_pos_right = GetMemoryPointPos(m_RightHeadlightPoint);</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span> </div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>                        vector local_pos_middle = (local_pos_left + local_pos_right) * 0.5;</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>                        m_Headlight.AttachOnObject(<span class="keyword">this</span>, local_pos_middle);</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>                        m_Headlight.AggregateLight();</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>                        LeftFrontLightShineOn();</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>                        RightFrontLightShineOn();</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>                    }</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span> </div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>                    <span class="keywordflow">if</span> (m_Headlight &amp;&amp; m_HeadlightsState == CarHeadlightBulbsState.NONE)</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>                    {</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>                        m_Headlight.FadeOut();</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>                        m_Headlight = null;</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>                        LeftFrontLightShineOff();</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>                        RightFrontLightShineOff();</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>                        TailLightsShineOff();</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>                    }</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>                }</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>                <span class="keywordflow">else</span></div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>                {</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>                    TailLightsShineOff();</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>                    DashboardShineOff();</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>                    LeftFrontLightShineOff();</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>                    RightFrontLightShineOff();</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span> </div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>                    <span class="keywordflow">if</span> (m_Headlight)</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>                    {</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>                        m_Headlight.FadeOut();</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>                        m_Headlight = null;</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>                    }</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>                }</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span> </div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>                <span class="keywordflow">if</span> (EngineIsOn())</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>                {</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>                    <span class="keywordtype">int</span> reverse_light_state = CarRearLightType.NONE;</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span> </div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>                    <span class="keywordtype">int</span> gear;</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span> </div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>                    <span class="keywordflow">if</span> (new_gear == -1)</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>                        gear = GetController().GetGear();</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>                    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>                        gear = new_gear;</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span> </div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>                    <span class="keywordflow">if</span> (gear == CarGear.REVERSE)</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>                    {</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>                        reverse_light_state = CarRearLightType.REVERSE_ONLY;</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>                    }</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>                    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>                    {</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>                        reverse_light_state = CarRearLightType.NONE;</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>                    }</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span> </div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>                    <span class="keywordflow">if</span> (m_BrakesArePressed)</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>                    {</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>                        <span class="keywordflow">if</span> (reverse_light_state == CarRearLightType.REVERSE_ONLY)</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>                        {</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>                            reverse_light_state = CarRearLightType.BRAKES_AND_REVERSE;</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>                        }</div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>                        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>                        {</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>                            reverse_light_state = CarRearLightType.BRAKES_ONLY;</div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>                        }</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>                    }</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span> </div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>                    <span class="keywordflow">if</span> (reverse_light_state != CarRearLightType.NONE &amp;&amp; m_HeadlightsState != CarHeadlightBulbsState.NONE &amp;&amp; !m_RearLight)</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>                    {</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>                        m_RearLight = <a class="code hl_class" href="../../df/df4/a07565.html">CarRearLightBase</a>.Cast(<a class="code hl_function" href="../../d5/d52/a07465.html#a9bc7423a1ecdc0f43df56b98d10be33f">CreateRearLight</a>());</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>                        vector local_pos = GetMemoryPointPos(m_ReverseLightPoint);</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>                        m_RearLight.AttachOnObject(<span class="keyword">this</span>, local_pos, <span class="stringliteral">&quot;180 0 0&quot;</span>);</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>                    }</div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span> </div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span>                    <span class="keywordflow">if</span> (m_RearLight)</div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span>                    {</div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>                        <span class="keywordflow">if</span> (reverse_light_state == CarRearLightType.REVERSE_ONLY)</div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span>                        {</div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span>                            m_RearLight.SetAsSegregatedReverseLight();</div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span> </div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>                            <span class="keywordflow">if</span> (m_HeadlightsState != CarHeadlightBulbsState.NONE)</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>                            {</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>                                ReverseLightsShineOn();</div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span>                                BrakeLightsShineOff();</div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span>                            }</div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span>                        }</div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span>                        <span class="keywordflow">else</span> <span class="keywordflow">if</span> (reverse_light_state == CarRearLightType.BRAKES_ONLY)</div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span>                        {</div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span>                            m_RearLight.SetAsSegregatedBrakeLight();</div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span> </div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span>                            <span class="keywordflow">if</span> (m_HeadlightsState != CarHeadlightBulbsState.NONE)</div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span>                            {</div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span>                                ReverseLightsShineOff();</div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span>                                BrakeLightsShineOn();</div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span>                            }</div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span>                        }</div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span>                        <span class="keywordflow">else</span> <span class="keywordflow">if</span> (reverse_light_state == CarRearLightType.BRAKES_AND_REVERSE)</div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span>                        {</div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno">  271</span>                            m_RearLight.AggregateLight();</div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno">  272</span>                            m_RearLight.SetFadeOutTime(1);</div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span> </div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno">  274</span>                            <span class="keywordflow">if</span> (m_HeadlightsState != CarHeadlightBulbsState.NONE)</div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span>                            {</div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno">  276</span>                                BrakeLightsShineOn();</div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno">  277</span>                                ReverseLightsShineOn();</div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno">  278</span>                            }</div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno">  279</span>                        }</div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span>                        <span class="keywordflow">else</span> <span class="keywordflow">if</span> (reverse_light_state == CarRearLightType.NONE)</div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno">  281</span>                        {</div>
<div class="line"><a id="l00282" name="l00282"></a><span class="lineno">  282</span>                            m_RearLight.FadeOut();</div>
<div class="line"><a id="l00283" name="l00283"></a><span class="lineno">  283</span>                            m_RearLight = null;</div>
<div class="line"><a id="l00284" name="l00284"></a><span class="lineno">  284</span>                            ReverseLightsShineOff();</div>
<div class="line"><a id="l00285" name="l00285"></a><span class="lineno">  285</span>                        }</div>
<div class="line"><a id="l00286" name="l00286"></a><span class="lineno">  286</span>                    }</div>
<div class="line"><a id="l00287" name="l00287"></a><span class="lineno">  287</span>                    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00288" name="l00288"></a><span class="lineno">  288</span>                    {</div>
<div class="line"><a id="l00289" name="l00289"></a><span class="lineno">  289</span>                        ReverseLightsShineOff();</div>
<div class="line"><a id="l00290" name="l00290"></a><span class="lineno">  290</span>                        BrakeLightsShineOff();</div>
<div class="line"><a id="l00291" name="l00291"></a><span class="lineno">  291</span>                    }</div>
<div class="line"><a id="l00292" name="l00292"></a><span class="lineno">  292</span>                }</div>
<div class="line"><a id="l00293" name="l00293"></a><span class="lineno">  293</span>                <span class="keywordflow">else</span></div>
<div class="line"><a id="l00294" name="l00294"></a><span class="lineno">  294</span>                {</div>
<div class="line"><a id="l00295" name="l00295"></a><span class="lineno">  295</span>                    BrakeLightsShineOff();</div>
<div class="line"><a id="l00296" name="l00296"></a><span class="lineno">  296</span>                    ReverseLightsShineOff();</div>
<div class="line"><a id="l00297" name="l00297"></a><span class="lineno">  297</span> </div>
<div class="line"><a id="l00298" name="l00298"></a><span class="lineno">  298</span>                    <span class="keywordflow">if</span> (m_RearLight)</div>
<div class="line"><a id="l00299" name="l00299"></a><span class="lineno">  299</span>                    {</div>
<div class="line"><a id="l00300" name="l00300"></a><span class="lineno">  300</span>                        m_RearLight.FadeOut();</div>
<div class="line"><a id="l00301" name="l00301"></a><span class="lineno">  301</span>                        m_RearLight = null;</div>
<div class="line"><a id="l00302" name="l00302"></a><span class="lineno">  302</span>                    }</div>
<div class="line"><a id="l00303" name="l00303"></a><span class="lineno">  303</span>                }</div>
<div class="line"><a id="l00304" name="l00304"></a><span class="lineno">  304</span>            }</div>
<div class="line"><a id="l00305" name="l00305"></a><span class="lineno">  305</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00306" name="l00306"></a><span class="lineno">  306</span>            {</div>
<div class="line"><a id="l00307" name="l00307"></a><span class="lineno">  307</span>                LeftFrontLightShineOff();</div>
<div class="line"><a id="l00308" name="l00308"></a><span class="lineno">  308</span>                RightFrontLightShineOff();</div>
<div class="line"><a id="l00309" name="l00309"></a><span class="lineno">  309</span>                DashboardShineOff();</div>
<div class="line"><a id="l00310" name="l00310"></a><span class="lineno">  310</span>                BrakeLightsShineOff();</div>
<div class="line"><a id="l00311" name="l00311"></a><span class="lineno">  311</span>                ReverseLightsShineOff();</div>
<div class="line"><a id="l00312" name="l00312"></a><span class="lineno">  312</span> </div>
<div class="line"><a id="l00313" name="l00313"></a><span class="lineno">  313</span>                <span class="keywordflow">if</span> (m_RearLight)</div>
<div class="line"><a id="l00314" name="l00314"></a><span class="lineno">  314</span>                {</div>
<div class="line"><a id="l00315" name="l00315"></a><span class="lineno">  315</span>                    m_RearLight.FadeOut();</div>
<div class="line"><a id="l00316" name="l00316"></a><span class="lineno">  316</span>                    m_RearLight = null;</div>
<div class="line"><a id="l00317" name="l00317"></a><span class="lineno">  317</span>                }</div>
<div class="line"><a id="l00318" name="l00318"></a><span class="lineno">  318</span> </div>
<div class="line"><a id="l00319" name="l00319"></a><span class="lineno">  319</span>                <span class="keywordflow">if</span> (m_Headlight)</div>
<div class="line"><a id="l00320" name="l00320"></a><span class="lineno">  320</span>                {</div>
<div class="line"><a id="l00321" name="l00321"></a><span class="lineno">  321</span>                    m_Headlight.FadeOut();</div>
<div class="line"><a id="l00322" name="l00322"></a><span class="lineno">  322</span>                    m_Headlight = null;</div>
<div class="line"><a id="l00323" name="l00323"></a><span class="lineno">  323</span>                }</div>
<div class="line"><a id="l00324" name="l00324"></a><span class="lineno">  324</span>            }</div>
<div class="line"><a id="l00325" name="l00325"></a><span class="lineno">  325</span>        }</div>
<div class="line"><a id="l00326" name="l00326"></a><span class="lineno">  326</span>    }</div>
<div class="line"><a id="l00327" name="l00327"></a><span class="lineno">  327</span>};</div>
<div class="ttc" id="aa00710_html_a0d014f7d8fe470a42032abc78925b9d5"><div class="ttname"><a href="../../d4/deb/a00710.html#a0d014f7d8fe470a42032abc78925b9d5">CF_Trace_2</a></div><div class="ttdeci">static CF_Trace CF_Trace_2(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/deb/a00710_source.html#l00081">cf_trace.c:81</a></div></div>
<div class="ttc" id="aa00710_html_a2dbd0d5f5331e4721875b123084eb0df"><div class="ttname"><a href="../../d4/deb/a00710.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a></div><div class="ttdeci">static CF_Trace CF_Trace_1(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/deb/a00710_source.html#l00075">cf_trace.c:75</a></div></div>
<div class="ttc" id="aa00710_html_a5be2213174cd68943ae1e0885eca5ec7"><div class="ttname"><a href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a></div><div class="ttdeci">static CF_Trace CF_Trace_0(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/deb/a00710_source.html#l00069">cf_trace.c:69</a></div></div>
<div class="ttc" id="aa03665_html"><div class="ttname"><a href="../../d1/df9/a03665.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/dc3/a00284_source.html#l00001">expansionbaselights.c:2</a></div></div>
<div class="ttc" id="aa07229_html"><div class="ttname"><a href="../../dd/d22/a07229.html">ExpansionVehicleAnimInstances</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d4d/a02840_source.html#l00016">expansionvehicleaniminstances.c:17</a></div></div>
<div class="ttc" id="aa07229_html_a5a05cb3af52484b4bd2955b62e3749b9"><div class="ttname"><a href="../../dd/d22/a07229.html#a5a05cb3af52484b4bd2955b62e3749b9">ExpansionVehicleAnimInstances::EXPANSION_UTILITY_BOAT</a></div><div class="ttdeci">static int EXPANSION_UTILITY_BOAT</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d4d/a02840_source.html#l00032">expansionvehicleaniminstances.c:32</a></div></div>
<div class="ttc" id="aa07465_html"><div class="ttname"><a href="../../d5/d52/a07465.html">ExpansionVehicleBoatBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d23/a03038_source.html#l00013">vehicle_expansionutilityboat.c:14</a></div></div>
<div class="ttc" id="aa07465_html_a0fff6197bb66186b724a245c40b64830"><div class="ttname"><a href="../../d5/d52/a07465.html#a0fff6197bb66186b724a245c40b64830">ExpansionVehicleBoatBase::IsVitalRadiator</a></div><div class="ttdeci">override bool IsVitalRadiator()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d23/a03038_source.html#l00107">vehicle_expansionutilityboat.c:107</a></div></div>
<div class="ttc" id="aa07465_html_a3c858295291b0e1fba6c1b24d094959c"><div class="ttname"><a href="../../d5/d52/a07465.html#a3c858295291b0e1fba6c1b24d094959c">ExpansionVehicleBoatBase::CreateFrontLight</a></div><div class="ttdeci">override CarLightBase CreateFrontLight()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d23/a03038_source.html#l00030">vehicle_expansionutilityboat.c:30</a></div></div>
<div class="ttc" id="aa07465_html_a4983e6ea744f10cdac8a95a1a0b0f540"><div class="ttname"><a href="../../d5/d52/a07465.html#a4983e6ea744f10cdac8a95a1a0b0f540">ExpansionVehicleBoatBase::Vehicle_ExpansionUtilityBoat</a></div><div class="ttdeci">void Vehicle_ExpansionUtilityBoat()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d23/a03038_source.html#l00015">vehicle_expansionutilityboat.c:15</a></div></div>
<div class="ttc" id="aa07465_html_a548ae72fceca380e4599ffd82aede87c"><div class="ttname"><a href="../../d5/d52/a07465.html#a548ae72fceca380e4599ffd82aede87c">ExpansionVehicleBoatBase::UpdateLights</a></div><div class="ttdeci">override void UpdateLights(int new_gear=-1)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d23/a03038_source.html#l00134">vehicle_expansionutilityboat.c:134</a></div></div>
<div class="ttc" id="aa07465_html_a64a19e2038625e0a48d56fe89bae04f1"><div class="ttname"><a href="../../d5/d52/a07465.html#a64a19e2038625e0a48d56fe89bae04f1">ExpansionVehicleBoatBase::CanReachDoorsFromSeat</a></div><div class="ttdeci">override bool CanReachDoorsFromSeat(string pDoorsSelection, int pCurrentSeat)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d23/a03038_source.html#l00071">vehicle_expansionutilityboat.c:71</a></div></div>
<div class="ttc" id="aa07465_html_a68d2b61157afe5090b142d6cd167fcf0"><div class="ttname"><a href="../../d5/d52/a07465.html#a68d2b61157afe5090b142d6cd167fcf0">ExpansionVehicleBoatBase::GetSeatAnimationType</a></div><div class="ttdeci">override int GetSeatAnimationType(int posIdx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d23/a03038_source.html#l00039">vehicle_expansionutilityboat.c:39</a></div></div>
<div class="ttc" id="aa07465_html_a6c7003e4f23f9e09c43c701242c4207c"><div class="ttname"><a href="../../d5/d52/a07465.html#a6c7003e4f23f9e09c43c701242c4207c">ExpansionVehicleBoatBase::GetAnimInstance</a></div><div class="ttdeci">override int GetAnimInstance()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d23/a03038_source.html#l00021">vehicle_expansionutilityboat.c:21</a></div></div>
<div class="ttc" id="aa07465_html_a6e68861a0f90e072e20c8327afbc7101"><div class="ttname"><a href="../../d5/d52/a07465.html#a6e68861a0f90e072e20c8327afbc7101">ExpansionVehicleBoatBase::IsVitalSparkPlug</a></div><div class="ttdeci">override bool IsVitalSparkPlug()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d23/a03038_source.html#l00098">vehicle_expansionutilityboat.c:98</a></div></div>
<div class="ttc" id="aa07465_html_a88ea931944317b2dd3e2ba4f5a49521e"><div class="ttname"><a href="../../d5/d52/a07465.html#a88ea931944317b2dd3e2ba4f5a49521e">ExpansionVehicleBoatBase::IsVitalGlowPlug</a></div><div class="ttdeci">override bool IsVitalGlowPlug()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d23/a03038_source.html#l00116">vehicle_expansionutilityboat.c:116</a></div></div>
<div class="ttc" id="aa07465_html_a8be0682fdb3de34677094ea29da96aba"><div class="ttname"><a href="../../d5/d52/a07465.html#a8be0682fdb3de34677094ea29da96aba">ExpansionVehicleBoatBase::IsVitalTruckBattery</a></div><div class="ttdeci">override bool IsVitalTruckBattery()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d23/a03038_source.html#l00089">vehicle_expansionutilityboat.c:89</a></div></div>
<div class="ttc" id="aa07465_html_a9bc7423a1ecdc0f43df56b98d10be33f"><div class="ttname"><a href="../../d5/d52/a07465.html#a9bc7423a1ecdc0f43df56b98d10be33f">ExpansionVehicleBoatBase::CreateRearLight</a></div><div class="ttdeci">override CarRearLightBase CreateRearLight()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d23/a03041_source.html#l00040">vehicle_expansionvodnik.c:40</a></div></div>
<div class="ttc" id="aa07465_html_aa0a62d51d8d4278f1a84aaaf10c62ce5"><div class="ttname"><a href="../../d5/d52/a07465.html#aa0a62d51d8d4278f1a84aaaf10c62ce5">ExpansionVehicleBoatBase::CrewCanGetThrough</a></div><div class="ttdeci">override bool CrewCanGetThrough(int posIdx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d23/a03038_source.html#l00062">vehicle_expansionutilityboat.c:62</a></div></div>
<div class="ttc" id="aa07465_html_aa515f4fcad56ff7e51c05ea6d35f3e67"><div class="ttname"><a href="../../d5/d52/a07465.html#aa515f4fcad56ff7e51c05ea6d35f3e67">ExpansionVehicleBoatBase::IsVitalCarBattery</a></div><div class="ttdeci">override bool IsVitalCarBattery()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d23/a03038_source.html#l00080">vehicle_expansionutilityboat.c:80</a></div></div>
<div class="ttc" id="aa07465_html_acfef746ac8d4720e492fe9151f2a8247"><div class="ttname"><a href="../../d5/d52/a07465.html#acfef746ac8d4720e492fe9151f2a8247">ExpansionVehicleBoatBase::IsVitalEngineBelt</a></div><div class="ttdeci">override bool IsVitalEngineBelt()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d23/a03038_source.html#l00125">vehicle_expansionutilityboat.c:125</a></div></div>
<div class="ttc" id="aa07561_html"><div class="ttname"><a href="../../d8/d58/a07561.html">CarLightBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d72/a03140_source.html#l00001">expansion250nfrontlight.c:2</a></div></div>
<div class="ttc" id="aa07565_html"><div class="ttname"><a href="../../df/df4/a07565.html">CarRearLightBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d43/a03143_source.html#l00001">expansion250nrearlight.c:2</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_403148263ee4e8f0781f7c219c37e738.html">Vehicles</a></li><li class="navelem"><a class="el" href="../../dir_73552948bc6e6c947ae98efa6ef1fc72.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_c3648096b79390b8f298110e534a6ba9.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_0df2f0f75bfab0aa29ae62af7848909b.html">dayzexpansion_vehicles</a></li><li class="navelem"><a class="el" href="../../dir_b27e8102d55cc5d44e37d1ed7930554c.html">entities</a></li><li class="navelem"><a class="el" href="../../dir_600e33639e8af487c3039d73b5771cee.html">vehicles</a></li><li class="navelem"><a class="el" href="../../dir_aaaf48caba6a6c08259c546db2b4fc6f.html">inheritedboats</a></li><li class="navelem"><a class="el" href="../../d8/d23/a03038.html">vehicle_expansionutilityboat.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
